summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-libs/btparse
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-libs/btparse')
-rw-r--r--dev-libs/btparse/Manifest2
-rw-r--r--dev-libs/btparse/btparse-0.33.ebuild34
-rw-r--r--dev-libs/btparse/btparse-0.35.ebuild18
-rw-r--r--dev-libs/btparse/metadata.xml5
4 files changed, 59 insertions, 0 deletions
diff --git a/dev-libs/btparse/Manifest b/dev-libs/btparse/Manifest
new file mode 100644
index 00000000000..706caac81a5
--- /dev/null
+++ b/dev-libs/btparse/Manifest
@@ -0,0 +1,2 @@
+DIST btparse-0.33.tar.gz 205792 SHA256 524d9a452e43672a2230ddc84614b9dd743ecc0200d59eedd5dee077dc23191a SHA512 4071a19a7f2d04d1a448fb450a2cc54f38e85877f804af392f5370e4ad24bbfa04599ac30331c7faabcfbb6c3dba98275a5fec3f0d960eac0a6967d8da44a782 WHIRLPOOL b4d850ed72b3487076ec2f13cc7ff3ed18d65149333e495470de491fb08fe1742d4ad19f7e6856d8188d5c271a4fe9f79a354d5608407d0ea6a32fe87513660b
+DIST btparse-0.35.tar.gz 470546 SHA256 631bf1b79dfd4c83377b416a12c349fe88ee37448dc82e41424b2f364a99477b SHA512 a30659195eed58f34d63f5292efb9c37fdd5c7075214d9789e4260291a5c2a6fb9c350865cb0a24980acfbe039134c464f3fc6ca2e55b6956fc79de40505bc77 WHIRLPOOL 91b48ea14d65042e5a75e4cd7c491b74fe3cd3aee320efaa835d5996e9fdb8886979c501b0f9b8873b6ebe1dd450a7dfa136b89fed42675f3ab7ea9303a54149
diff --git a/dev-libs/btparse/btparse-0.33.ebuild b/dev-libs/btparse/btparse-0.33.ebuild
new file mode 100644
index 00000000000..21e8a29d68e
--- /dev/null
+++ b/dev-libs/btparse/btparse-0.33.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A C library to parse Bibtex files"
+HOMEPAGE="http://starship.python.net/~gward/btOOL/"
+SRC_URI="http://starship.python.net/~gward/btOOL//${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="sparc x86"
+IUSE=""
+
+DEPEND=""
+
+src_compile() {
+ #have to include ${D} into mandir here,
+ #for some reason mandir=${D}/... is ignored during make install..
+ ./configure --host=${CHOST} \
+ --prefix=/usr \
+ --mandir=${D}/usr/share/man || die "./configure failed"
+ emake lib shlib || die
+}
+
+src_install () {
+ #make \
+ # prefix=${D}/usr \
+ # mandir=${D}/usr/share/man \
+ # install || die
+
+ make prefix=${D}/usr install || die
+ dolib.so libbtparse.so
+ dodoc CHANGES README
+}
diff --git a/dev-libs/btparse/btparse-0.35.ebuild b/dev-libs/btparse/btparse-0.35.ebuild
new file mode 100644
index 00000000000..c6f524addaf
--- /dev/null
+++ b/dev-libs/btparse/btparse-0.35.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A C library to parse Bibtex files"
+HOMEPAGE="http://www.gerg.ca/software/btOOL/"
+SRC_URI="mirror://cpan/authors/id/A/AM/AMBS/btparse/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE=""
+
+DEPEND=""
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/dev-libs/btparse/metadata.xml b/dev-libs/btparse/metadata.xml
new file mode 100644
index 00000000000..ba6a8a8800d
--- /dev/null
+++ b/dev-libs/btparse/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>tex</herd>
+</pkgmetadata>